# All tcwg views described here

- view:
    name: tcwg-all
    view-type: list
    regex: 'tcwg.*'

- view:
    name: tcwg-infra
    view-type: list
    regex: 'tcwg-.*'

# And round-robin bisect jobs
- view:
    name: tcwg-bisect
    view-type: list
    regex: 'tcwg_.*-bisect'

# All round-robin build jobs
- view:
    name: tcwg-build
    view-type: list
    regex: 'tcwg_.*-build'

# All round-robin precommit jobs
- view:
    name: tcwg-precommit
    view-type: list
    regex: 'tcwg_.*-precommit'

# tcwg_aosp
- view:
    name: tcwg_aosp
    view-type: list
    regex: 'tcwg_aosp-.*-build'

# tcwg_bmk
- view:
    name: tcwg_bmk
    view-type: list
    regex: 'tcwg_bmk-.*-build'
- view:
    name: tcwg_bmk-fujitsu
    view-type: list
    regex: 'tcwg_bmk-fujitsu.*-build'
- view:
    name: tcwg_bmk-vect
    view-type: list
    regex: 'tcwg_bmk-code_vect.*-build'
- view:
    name: tcwg_bmk-sve
    view-type: list
    regex: 'tcwg_bmk-code_sve.*-build'

# tcwg_flang
- view:
    name: tcwg_flang
    view-type: list
    regex: 'tcwg_flang.*-build'

# tcwg_gnu/tcwg_binutils/tcwg_gcc/tcwg_glibc/tcwg_gdb
- view:
    name: tcwg_gnu
    view-type: list
    regex: 'tcwg_gnu.*-build'
- view:
    name: tcwg_gnu_cross
    view-type: list
    regex: 'tcwg_gnu_cross.*-build'
- view:
    name: tcwg_gnu_embed
    view-type: list
    regex: 'tcwg_gnu_embed.*-build'
- view:
    name: tcwg_gnu_native
    view-type: list
    regex: 'tcwg_gnu_native.*-build'
- view:
    name: tcwg_binutils
    view-type: list
    regex: 'tcwg_binutils.*-build'
- view:
    name: tcwg_gcc
    view-type: list
    regex: 'tcwg_gcc.*-build'
- view:
    name: tcwg_glibc
    view-type: list
    regex: 'tcwg_glibc.*-build'
- view:
    name: tcwg_gdb
    view-type: list
    regex: 'tcwg_gdb.*-build'

# tcwg_kernel
- view:
    name: tcwg_kernel-gnu
    view-type: list
    regex: 'tcwg_kernel--gnu.*-build'
- view:
    name: tcwg_kernel-llvm
    view-type: list
    regex: 'tcwg_kernel--llvm.*-build'
